<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Add Friend</title>
    <style>
        body {
            font-family: "Arial";
            height: 100vh;
            width: 100%;
            background-color: coral;
            display: flex;
            align-items: center;
            justify-content: center;
            flex-direction: column;
        }

        .container {
            width: 90%;
            max-width: 500px;
            margin: 0 auto;
            padding: 20px;
            box-shadow: 0px 0px 20px #00000010;
            background-color: rgb(0, 0, 0, 0.5);
            border-radius: 8px;
            margin-bottom: 20px;
        }

        .form-section {
            width: 100%;
            margin-top: 20px;
            font-size: 20px;
        }
        .form-section input {
            width: 240px;
            height: 35px;
            background: transparent;
            border-bottom: 1px solid coral;
            border-top: none;
            border-right: none;
            border-left: none;
            color: grey;
            font-size: 18px;
            letter-spacing: 1px;
            margin-top: 30 px;
            font-family: sans-serif;
        }

        div {
            text-align: center;
        }

        label{
            font-family:'Trebuchet MS';
            color:beige;
            font-weight: bold;
        }

        .btn{
	        text-align: center;	
        }

        button{
            background:coral;
            border: 0;
            font-size: 20px;
            padding: 8px 12px;
            border-radius: 30px;
            color: beige;
            cursor: pointer;
        }

        button:hover,
        button:focus{
            color: coral;
            background:beige;
        }
        button:active{
            background: rgb(243, 118, 73);
        }
    </style>
  </head>

  <body>
    
    <h1>Add Friend</h1>
    
    <div class="container">
        <form action="" method="POST">
            {% csrf_token %}
            <div class="form-section">
                <label for="name">Name: </label>
                <input type="text" id="name" name="name" size="30" placeholder="Enter Your Friend's Name" required>
            </div>
                    
            <div class="form-section">
                <label for="npm">NPM: </label>
                <input type="text" id="npm" name="npm" size="30" maxlength="10" placeholder="Enter Your Friend's NPM" required>
            </div>
                    
            <div class="form-section">
                <label for="dob">Date of Birth: </label>
                <input type="date" id="DOB" name="DOB" required>
            </div>
            
            </br>
            <div class="btn">
                <button type ="submit"> Submit </button>
            </div>
    
        </form>
    </div>
  </body>
</html>
